import * as dntShim from "./_dnt.shims.js";
export const isDeno = typeof dntShim.Deno !== 'undefined';
export async function mkdir(path, options) {
    if (isDeno) {
        await dntShim.Deno.mkdir(path, options);
    }
    else {
        // @ts-ignore: type for Bun
        await Bun.mkdir(path.toString(), options);
    }
}
export async function writeFile(path, data, options = {}) {
    if (isDeno) {
        await dntShim.Deno.writeFile(path, data, options);
    }
    else {
        // @ts-ignore: type for Bun
        await Bun.write(path.toString(), data, options);
    }
}
